CACOSH(3)

NAME
cacosh, cacoshf, cacoshl - complex inverse hyperbolic cosine

SYNOPSIS
#include <complex.h>
double complex
cacosh(double complex z);
float complex
cacoshf(float complex z);
long double complex
cacoshl(long double complex z);

DESCRIPTION
The cacosh(), cacoshf() and cacoshl() functions compute the complex inverse hyperbolic cosine of z.

For all complex floating-point numbers z,

    cacosh(z) = i acos(z).

RETURN VALUES
The cacosh(), cacoshf() and cacoshl() functions return the complex inverse hyperbolic cosine of z with imaginary part in the interval [-Pi, Pi], and non-negative real part.

SEE ALSO
casinh(3), catanh(3)

STANDARDS
The cacosh(), cacoshf() and cacoshl() functions conform to isoC-99.